Skip to main content
GET
/
api
/
v1
/
users
/
{user_email}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.v1.usersGetByEmail({
    userEmail: "<value>",
  });

  console.log(result);
}

run();
import os
from syllable_sdk import SyllableSDK


with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:

res = ss_client.v1.users_get_by_email(user_email="<value>")

# Handle response
print(res)
curl --request GET \
--url https://api.syllable.cloud/api/v1/users/{user_email} \
--header 'Syllable-API-Key: <api-key>'
const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};

fetch('https://api.syllable.cloud/api/v1/users/{user_email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "<string>",
  "role_id": 123,
  "id": 123,
  "role_name": "<string>",
  "email_sent": true,
  "last_updated": "2023-11-07T05:31:56Z",
  "first_name": "Jane",
  "last_name": "Smith",
  "utm": {
    "utm_source": "<string>",
    "utm_medium": "<string>",
    "utm_campaign": "<string>",
    "utm_term": "<string>",
    "utm_content": "<string>"
  },
  "last_updated_comments": "Updated to change which role was assigned",
  "last_updated_by": "admin@email.com",
  "last_session_at": "2025-01-01T12:00:00Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

user_email
string
required

Response

Successful Response

Information about a user.

email
string
required

Email address of the user

Example:

"user@syllable.ai"

role_id
integer
required

ID of the role assigned to the user

Example:

1

id
integer
required

Internal ID of the user

Example:

1

role_name
string
required

Name of the role assigned to the user

Example:

"Admin"

email_sent
boolean
required

Whether the welcome email has been sent to the user

Example:

true

activity_status
enum<string>
required

The activity status of the user

Available options:
not_invited,
invited,
active
Example:

"invited"

last_updated
string<date-time>
required

The timestamp of the most recent update to the user

first_name
string | null

First name of the user

Example:

"Jane"

last_name
string | null

Last name of the user

Example:

"Smith"

utm
DaoUtm · object | null

Optional UTM campaign attribution to record in user_metadata.

last_updated_comments
string | null

Comments for the most recent edit to the user.

Example:

"Updated to change which role was assigned"

last_updated_by
string | null

The email address of the user who last updated the user

Example:

"admin@email.com"

last_session_at
string<date-time> | null

The timestamp of the user's last session

Example:

"2025-01-01T12:00:00Z"